unit basicunit;
{$mode delphi} {$H+}
interface
uses  Classes, SysUtils;
Procedure ModulesInit;
Procedure ModulesDone;
procedure BASICmain;

Const DrawTimeInterval=0;
Const DrawStartDelay=0;
Const VirtualStackSize=65536;

implementation
uses Forms, math, graphics,
 windows,winlib,
  base,base2,textfrm,textfile,arrays,affine,graphsys,
  math2sub,datalist,baslib,graphlib,debugdg,paintfrm,
  MyThread,assignlib, mathlib0;
{$MAXFPUREGISTERS 0}





(* Modules initialize and dispose *)
Procedure ModulesInit;
begin
end;
Procedure ModulesDone;
begin
end;

(* Main Program *)
procedure BASICmain;
var _I:double=0;
var _J:double=0;
var __own1_00000:double=0;
var __own2_00001:double=0;
var __own1_00001:double=0;
var __own2_00002:double=0;
begin
//  FOR i=1 TO 6
__own1_00000 := 6 ;
_I := 1 ;
while (_I <= __own1_00000) do begin
//     FOR j=1 TO 6
__own1_00001 := 6 ;
_J := 1 ;
while (_J <= __own1_00001) do begin
//        PRINT "*",
console.PRINT([],rsNone, false ,['*', TNewZone.create ]);
//     NEXT j
_J := _J + 1 ;
end;
//     print
console.PRINT([],rsNone, false ,[TNewLine.create]);
//  NEXT i
_I := _I + 1 ;
end;
//  END

end;{end main}
initialization
  AppName:='F:\Lazarus\BASICAcc1.2\Column2';
  SystemStackSize := 16711680;
  signiwidth0:=15;
  TextMode := true ;
  GraphMode:= false ;
  BMPSize:=BMP1001;
  TextProblemCoordinate:= false ;
  UseCharInput:= false ;
  FontCharSet:=1;
  FontSize:=0;
  FontName:='default';
  FontStyle:=[];
  FirstThreadPriority:=tpNormal;



Finalization



end.
